net.corda.contracts

## Class CommercialPaper.Terms

- net.corda.contracts.CommercialPaper.Terms

- Enclosing class:
    CommercialPaper

      public static class CommercialPaper.Terms

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Terms(Issued<java.util.Currency> asset, java.time.Instant maturityDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Issued<java.util.Currency>` | `component1()`
    `java.time.Instant` | `component2()`
    `CommercialPaper.Terms` | `copy(Issued<java.util.Currency> asset, java.time.Instant maturityDate)`
    `boolean` | `equals(java.lang.Object p)`
    `Issued<java.util.Currency>` | `getAsset()`
    `java.time.Instant` | `getMaturityDate()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

- - ### Constructor Detail

    - #### Terms

          public Terms(Issued<java.util.Currency> asset,
                       java.time.Instant maturityDate)

  - ### Method Detail

    - #### getAsset

          public Issued<java.util.Currency> getAsset()

    - #### getMaturityDate

          public java.time.Instant getMaturityDate()

    - #### component1

          public Issued<java.util.Currency> component1()

    - #### component2

          public java.time.Instant component2()

    - #### copy

          public CommercialPaper.Terms copy(Issued<java.util.Currency> asset,
                                            java.time.Instant maturityDate)

    - #### toString

          public java.lang.String toString()

    - #### hashCode

          public int hashCode()

    - #### equals

          public boolean equals(java.lang.Object p)